#
# spec file for package notepadqq
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           notepadqq
Version:        1.0.1
Release:        1.1
Summary:        Notepad++-like editor
License:        GPL-3.0+
Group:          Productivity/Editors/Other
Url:            http://notepadqq.altervista.org/
Source:         http://ppa.launchpad.net/%{name}-team/%{name}/ubuntu/pool/main/n/%{name}/%{name}_%{version}.orig.tar.bz2
BuildRequires:  fdupes
BuildRequires:  gcc-c++
BuildRequires:  hicolor-icon-theme
BuildRequires:  libqt5-linguist
BuildRequires:  pkg-config
BuildRequires:  update-desktop-files
BuildRequires:  pkgconfig(Qt5Core) >= 5.3
BuildRequires:  pkgconfig(Qt5Gui) >= 5.3
BuildRequires:  pkgconfig(Qt5Network) >= 5.3
BuildRequires:  pkgconfig(Qt5PrintSupport) >= 5.3
BuildRequires:  pkgconfig(Qt5Svg) >= 5.3
BuildRequires:  pkgconfig(Qt5Test) >= 5.3
BuildRequires:  pkgconfig(Qt5WebKit) >= 5.3
BuildRequires:  pkgconfig(Qt5WebKitWidgets) >= 5.3
BuildRequires:  pkgconfig(Qt5Widgets) >= 5.3

%description
Text editor with support for multiple programming languages,
multiple encodings, and plugins.

%prep
%setup -q -c
pushd src/extension_tools/node_modules/archiver/node_modules
chmod 755 tar-stream/node_modules/bl/test/sauce.js
chmod 755 glob/node_modules/minimatch/node_modules/brace-expansion/test/generate.sh
popd
chmod 644 src/editor/libs/codemirror/mode/sas/sas.js

%build
%qmake5 \
  PREFIX=%{_prefix} \
  QMAKE_CXXFLAGS="%optflags" \
  LRELEASE=%{_libqt5_bindir}/lrelease \
  notepadqq.pro
%make_jobs

%install
%qmake5_install
%suse_update_desktop_file -r %{name} Utility TextEditor

find %{buildroot}/ -name '.*' -print0 | xargs -0 rm -rf

%fdupes %{buildroot}%{_datadir}

%post
%desktop_database_post
%icon_theme_cache_post

%postun
%desktop_database_postun
%icon_theme_cache_postun

%files
%defattr(-,root,root)
%doc CONTRIBUTORS.md COPYING README.md
%{_bindir}/%{name}
%{_libexecdir}/%{name}/
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%if 0%{?suse_version} == 1320
%dir %{_datadir}/icons/hicolor/512x512
%dir %{_datadir}/icons/hicolor/512x512/apps
%endif
%{_datadir}/icons/hicolor/*/apps/%{name}.*

%changelog
* Fri Feb 10 2017 joerg.lorenzen@ki.tng.de
- Update to 1.0.1:
  * Fix: settings were not saved.
- Version 1.0.0:
  * Sessions.
  * Run menu.
  * Option to disable smart indentation.
  * Option to change line height.
  * Support special characters in replacement strings when
    searching.
  * Improved shortcut settings.
  * Speed improvements in search in files.
  * Use the system language as default language.
  * Swedish localization.
* Wed Sep 14 2016 joerg.lorenzen@ki.tng.de
- Update to 0.53.0:
  * Allow users to configure a custom font (and size) (e246e81).
  * Support for showing tabs, spaces and end of line symbols
    (a4866d9).
  * Fix regression regarding whitespaces and word-wrap (84048d8).
  * Fix Zenburn theme not loading properly at startup (f761810).
  * Fix left editor panel not updating when switching languages
    (01fae47).
  * UI improvements for custom keyboard shortcuts (2f05245).
* Mon Aug 15 2016 joerg.lorenzen@ki.tng.de
- Update to 0.52.1:
  * Fonts fix.
- Version 0.52.0:
  * Added Alt+digit, Ctrl+PageUp and Ctrl+PageDown shortcuts to
    switch between tabs.
  * Added ability to shift lines up/down.
  * Added localization switch within Preferences.
  * Added regex groups support for text replacement.
  * Russian localization.
  * Polish localization.
* Mon Mar 14 2016 joerg.lorenzen@ki.tng.de
- Update to 0.51.0:
  * Always use tabSize from the preferences when converting tabs
    to spaces
  * Keyboard shortcuts compatibility with translations
  * HU localization
  * Fix casing bug for search dialog
  * Shift+Insert to paste
  * Ctrl+Insert to copy
  * Identify TCL scripts by shebang
  * Recognize more Fortran extensions
- Remove hidden files/directories
* Tue Dec 29 2015 sor.alexei@meowr.ru
- Update to 0.50.6:
  * Support for translations.
  * New icon.
* Sun Sep 27 2015 sor.alexei@meowr.ru
- Update to 0.50.4 (changes since 0.50.2):
  * Fullscreen.
  * UI fixes.
* Thu Sep 10 2015 sor.alexei@meowr.ru
- Update to 0.50.2:
  * Support for Qt 5.5.
* Thu Jul  2 2015 sor.alexei@meowr.ru
- Initial package.
